CREATE OR REPLACE TRIGGER LOG_SUP_RESERVAPEDEXOL
AFTER INSERT OR UPDATE OR DELETE
ON RESERVAPEDEXOL FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(1500);
  V_CDFILLOGOPER VARCHAR2(4);
  V_ITPESQ       VARCHAR2(80);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC         := '';
   V_ITPESQ       := '';
   V_NMOPERADOR   := '';
   V_IDTIPOOPER   := '';
   V_CDFILLOGOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);


   IF UPDATING THEN
      IF (NVL(:OLD.QTRESERVESTOL, 0) <> NVL(:NEW.QTRESERVESTOL, 0)) THEN
         V_DESC := 'Qt. Reservada:' ||''|| NVL(:NEW.QTRESERVESTOL,'') ||'   ';
      END IF;
      V_ITPESQ       := :NEW.CDFILDEST|| :NEW.CDFILLANC|| :NEW.NRPEDEXOL|| :NEW.CDMARCA|| :NEW.CDPRODUTO|| :NEW.DTPROGENPEOL;
      V_CDFILLOGOPER := :NEW.CDFILLANC;
      V_IDTIPOOPER   := '2';
   END IF;
   IF INSERTING THEN
      V_DESC  :=    'Filial Dest.:'          ||''  || NVL(:NEW.CDFILDEST,'')       ||'  '  ||
                    'Filial Lan.:'          ||''  || NVL(:NEW.CDFILLANC,'')       ||'  '  ||
                    'Pedido:'                ||''  || NVL(:NEW.NRPEDEXOL,'')       ||'  '  ||
                    'Marca Prod.:'           ||''  || NVL(:NEW.CDMARCA,'')         ||'  '  ||
                    'Produto:'               ||''  || NVL(:NEW.CDPRODUTO,'')       ||'  '  ||
                    'Dt. Entr. Pedido:'      ||''  || NVL(:NEW.DTPROGENPEOL,'')    ||'  '  ||
                    'Qtde. Reservada:'       ||''  || NVL(:NEW.QTRESERVESTOL,'')   ||'  '  ||
                    'Filial OL:'             ||''  || NVL(:NEW.CDFILRESOL,'')      ||'  '  ||
                    'Dt. Embarque:'          ||''  || NVL(:NEW.DTRESEMBARQ,'');
      V_ITPESQ         := :NEW.CDFILDEST|| :NEW.CDFILLANC|| :NEW.NRPEDEXOL|| :NEW.CDMARCA|| :NEW.CDPRODUTO|| :NEW.DTPROGENPEOL;
      V_CDFILLOGOPER   := :NEW.CDFILLANC;
      V_IDTIPOOPER     := '1';
   END IF;
   IF DELETING THEN
      V_DESC  :=    'Filial Dest.:'          ||''  || NVL(:OLD.CDFILDEST,'')       ||'  '  ||
                    'Filial Lan.:'          ||''  || NVL(:OLD.CDFILLANC,'')       ||'  '  ||
                    'Pedido:'                ||''  || NVL(:OLD.NRPEDEXOL,'')       ||'  '  ||
                    'Marca Prod.:'           ||''  || NVL(:OLD.CDMARCA,'')         ||'  '  ||
                    'Produto:'               ||''  || NVL(:OLD.CDPRODUTO,'')       ||'  '  ||
                    'Dt. Entr. Pedido:'      ||''  || NVL(:OLD.DTPROGENPEOL,'')    ||'  '  ||
                    'Qtde. Reservada:'       ||''  || NVL(:OLD.QTRESERVESTOL,'')   ||'  '  ||
                    'Filial OL:'             ||''  || NVL(:OLD.CDFILRESOL,'')      ||'  '  ||
                    'Dt. Embarque:'          ||''  || NVL(:OLD.DTRESEMBARQ,'');
      V_ITPESQ         := :OLD.CDFILDEST|| :OLD.CDFILLANC|| :OLD.NRPEDEXOL|| :OLD.CDMARCA|| :OLD.CDPRODUTO|| :OLD.DTPROGENPEOL;
      V_CDFILLOGOPER   := :OLD.CDFILLANC;
      V_IDTIPOOPER     := '3';
   END IF;
   IF (V_DESC IS NOT NULL)   THEN
      V_DESC := SUBSTR(V_DESC, 1, 300);
      INSERT INTO LOGOPERA
         (NMTABELA,
          DTOPERACAO,
          NMRESPOPER,
          IDTIPOOPER,
          DSOPERACAO,
          CDPESQITEM,
          DSRDMUSUOPER,
          DSENDUSUOPER,
          DSNMUSUOPER,
          DSMETUSUOPER,
          CDORESPOPER,
          CDFILLOGOPER)
      VALUES
         ('RESERVAPEDEXOL',
          SYSDATE,
          NVL(V_NMOPERADOR,' '),
          V_IDTIPOOPER,
          V_DESC,
          V_ITPESQ,
          V_DSSERVERRDM,
          V_DSREMOTEADDR,
          V_DSREMOTEHOST,
          V_DSSERVMETHOD,
          V_DSREMOTEOPER,
          V_CDFILLOGOPER);
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_SUP_RESERVAPEDEXOL','5.30.XXX'); END;
/